﻿using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace Models.Table
{
    /// <summary>
    /// 
    ///</summary>
    [SugarTable("base_police_finger")]
    public class PoliceFinger : BaseTable
    {
        /// <summary>
        /// 指纹id 
        ///</summary>
         [SugarColumn(ColumnName="id" ,IsPrimaryKey = true ,IsIdentity = true  )]
         public int id { get; set; }
        /// <summary>
        /// 警员id 
        ///</summary>
         [SugarColumn(ColumnName="police_id"    )]
         public string policeId { get; set; }
        /// <summary>
        /// 指纹信息名称 
        ///</summary>
         [SugarColumn(ColumnName="name"    )]
         public string name { get; set; }
        /// <summary>
        /// 指纹信息 
        ///</summary>
         [SugarColumn(ColumnName="finger_info"    )]
         public string fingerInfo { get; set; }
    }
}
