﻿using Models.Table;
using System;
using System.Collections.Generic;
using System.Diagnostics.CodeAnalysis;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common.Utility.Model
{
    public class RecordsReq
    {
        public DateTime useTime { get; set; }
        [AllowNull]
        public String userName { get; set; }
        [AllowNull]
        public int type { get; set; }
        [AllowNull]
        public String equipments { get; set; }
        [AllowNull]
        public List<EquipmentList>? equipmentList { get; set; }
        [AllowNull]
        public List<CarList>? carList { get; set; }
        //
    }

    public class EquipmentList
    {
        public String epc { get; set; }
        public String? equipmentName { get; set; }
        public String? equipmentSize { get; set; }
        public int? outInState { get; set; }
        public int? errorState { get; set; }
        public string? errorMsg { get; set; }
    }

    public class CarList
    {
        public int carId { get; set; }
        public String? carName { get; set; }
        public String? carNumber { get; set; }
        public int? outInState { get; set; }

        public String? errorState { get; set; }
        public string? errorMsg { get; set; }

    }

    public class HandRecordsReq
    {
        public DateTime useTime { get; set; }
        [AllowNull]
        public String userName { get; set; }
        public int outInState { get; set; }
        [AllowNull]
        public String equipments { get; set; }
        [AllowNull]
        public List<EquipmentList>? equipmentList { get; set; }
    }

    public class ChannelLogReq
    {
        public List<string> Epc { get; set; }
        public int? state { get; set; }
        public string warehouseId { get; set; }
        public string picture { get; set; }
    }

    public class HandResultReq
    {
        public OrderDetail order { get; set; }
        public List<LogSummary> logList { get; set; }
        public List<Inventory>? purchaseList { get; set; }
    }
}
