﻿using Models.SqlModel;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;
using static Dm.net.buffer.ByteArrayBuffer;

namespace Models.Table
{
    [SugarTable("base_inventory")]
    public class Inventory : BaseTable
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]
        public string id { get; set; }

        [SugarColumn(ColumnName = "type_id")]
        public string typeId { get; set; }

        [SugarColumn(ColumnName = "size_id")]
        public string sizeId { get; set; }

        [SugarColumn(ColumnName = "supplier_id")]
        public string supplierId { get; set; }

        public string epc { get; set; }

        [SugarColumn(ColumnName = "org_id")]
        public long? orgId { get; set; }

        public string state { get; set; }

        [SugarColumn(ColumnName = "bussiness_state")]
        public string bussinessState { get; set; }

        [SugarColumn(ColumnName = "equ_state")]
        public string equState { get; set; }

        [SugarColumn(ColumnName = "production_date")]
        public DateTime? productionDate { get; set; }

        [SugarColumn(ColumnName = "warranty_period")]
        public string warrantyPeriod { get; set; }

        [SugarColumn(ColumnName = "maintenance_period")]
        public string maintenancePeriod { get; set; }

        [SugarColumn(ColumnName = "fix_count")]
        public string fixCount { get; set; }

        [SugarColumn(ColumnName = "location_id")]
        public string locationId { get; set; }

        [SugarColumn(ColumnName = "location_name")]
        public string locationName { get; set; }

        [SugarColumn(ColumnName = "location_type")]
        public string locationType { get; set; }

        [SugarColumn(ColumnName = "lost_flag")]
        public string lostFlag { get; set; }

        [SugarColumn(ColumnName = "note")]
        public string note { get; set; }

        [SugarColumn(ColumnName = "equipment_type")]
        public string equipmentType { get; set; }

        public decimal? price { get; set; }

        [SugarColumn(ColumnName = "type_name")]
        public string typeName { get; set; }

        [SugarColumn(ColumnName = "size_name")]
        public string sizeName { get; set; }

        [SugarColumn(ColumnName = "supplier_name")]
        public string supplierName { get; set; }

        [SugarColumn(ColumnName = "package_id")]
        public string packageId { get; set; }

    }
}
