﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Models.Table
{
    [SugarTable("base_warehouse")]
    public class Warehouse : BaseTable
    {
        [SugarColumn(IsPrimaryKey = true)]
        public string id { get; set; }

        public string name { get; set; }

        public string location { get; set; }

        public string phone { get; set; }

        [SugarColumn(ColumnName = "is_locked")]
        public int? isLocked { get; set; }

        [SugarColumn(ColumnName = "org_id")]
        public string orgId { get; set; }

        public int? sum { get; set; }

        [SugarColumn(ColumnName = "out_sum")]
        public int? outSum { get; set; }

        [SugarColumn(ColumnName = "in_sum")]
        public int? inSum { get; set; }

        [SugarColumn(ColumnName = "price_total")]
        public decimal? priceTotal { get; set; }

        public int? state { get; set; }
    }
}
